# Generated by Django 2.2.5 on 2019-09-28 15:24

from django.db import migrations
import django.db.models.deletion
import paper_uploads.models.fields.collection
import paper_uploads.models.fields.file
import paper_uploads.models.fields.image
import paper_uploads.validators


class Migration(migrations.Migration):

    dependencies = [
        ('paper_uploads', '0003_auto_20190928_1226'),
        ('app', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='page',
            name='ext_file',
            field=paper_uploads.models.fields.file.FileField(blank=True, help_text='Only `jpg` and `jpeg` extensions allowed', on_delete=django.db.models.deletion.SET_NULL, to='paper_uploads.UploadedFile', validators=[paper_uploads.validators.ExtensionValidator(['jpg', 'jpeg'])], verbose_name='Extension'),
        ),
        migrations.AddField(
            model_name='page',
            name='max_image',
            field=paper_uploads.models.fields.image.ImageField(blank=True, help_text='Maximum image is 1024x640px', on_delete=django.db.models.deletion.SET_NULL, to='paper_uploads.UploadedImage', validators=[paper_uploads.validators.ImageMaxSizeValidator(1024, 640)], verbose_name='Max image'),
        ),
        migrations.AddField(
            model_name='page',
            name='mime_file',
            field=paper_uploads.models.fields.file.FileField(blank=True, help_text='Only `image/jpeg`, `image/png` and `text/plain` mimetypes allowed', on_delete=django.db.models.deletion.SET_NULL, to='paper_uploads.UploadedFile', validators=[paper_uploads.validators.MimetypeValidator(['image/jpeg', 'image/png', 'text/plain'])], verbose_name='Mimetype'),
        ),
        migrations.AddField(
            model_name='page',
            name='min_image',
            field=paper_uploads.models.fields.image.ImageField(blank=True, help_text='Minimum width is 1400px', on_delete=django.db.models.deletion.SET_NULL, to='paper_uploads.UploadedImage', validators=[paper_uploads.validators.ImageMinSizeValidator(1400, 0)], verbose_name='Min image'),
        ),
        migrations.AddField(
            model_name='page',
            name='png_gallery',
            field=paper_uploads.models.fields.collection.CollectionField(on_delete=django.db.models.deletion.SET_NULL, to='app.PageGallery', validators=[paper_uploads.validators.ExtensionValidator(['png'])], verbose_name='PNG gallery'),
        ),
        migrations.AddField(
            model_name='page',
            name='size_file',
            field=paper_uploads.models.fields.file.FileField(blank=True, help_text='Up to 128Kb file size allowed', on_delete=django.db.models.deletion.SET_NULL, to='paper_uploads.UploadedFile', validators=[paper_uploads.validators.SizeValidator(131072)], verbose_name='Size'),
        ),
    ]
